Bug 618591 - Document: How to build a cross-major-version application
Document: How to build a cross-major-version application
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Developer_Guide (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jacquelynn East
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 06:39 EDT by Masahiro Ito
Modified: 2015-07-26 18:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 21:34:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
draft build of RHEL6 Developer Guide (as of October 14, 2010) (2.37 MB, application/pdf)
2010-10-14 08:37 EDT, Don Domingo
no flags Details

  None (edit)
Description Masahiro Ito 2010-07-27 06:39:37 EDT
Description of problem:

Could add a description about how to build a cross-major-version application? What I mean is a single binary that you can run on RHEL 3/4/5/6, in other words, build once, run on any RHEL. That is a really common case for building software products which supports several RHEL versions at the same time.

I know some of them are already written in the section 3.1 Compatibility of Developer Guide, but it's only about core libraries. We need these aspects as well:

* How to setup a building environment.
  Is it okay just installing normal development packages, such as gcc,
  make and autoconf?
  Or do we need any extra packages for compatibility, like in
  Compatibility Packages of the section 4.1.2?

* Which RHEL version is the best for building this kind of application?
  Take for example, if you want to build an application for RHEL 3 to 6,
  which is better? RHEL 3, RHEL 6, or else?


Version-Release number of selected component (if applicable):

Appendix A. Revision History
Revision 1.0 Thu Oct 08 2009 Don Domingo ddomingo@redhat.com
draft push
Comment 2 Don Domingo 2010-07-27 21:08:34 EDT
thanks for the suggestion Masahiro. i'll get a subject-matter-expert to help out on this particular topic.

it may not fit into the RHEL6 Developer Guide, so documentation for this may just come in the form of a kbase article or whitepaper.

setting for 6.1.
Comment 4 Benjamin Kosnik 2010-09-30 11:49:03 EDT
Don't support 3/4/5/6. We do n-2, ie 6/5/4.

Let's start by setting expectations correctly. 

-benjamin
Comment 5 Aldy Hernandez 2010-10-13 11:55:38 EDT
done.  See new section:

"Building for forward compatibility across releases"

Note, there are no special tools required, so no mention of such is listed.
Comment 6 Masahiro Ito 2010-10-14 07:01:35 EDT
Hi Aldy,

Sorry to bother you, but can you attach the latest version of Developer Guide?

I have Oct 12th's version, but it does not have "Building for forward compatibility across releases" section yet.
Comment 7 Don Domingo 2010-10-14 08:37:34 EDT
Created attachment 453448 [details]
draft build of RHEL6 Developer Guide (as of October 14, 2010)
Comment 8 Don Domingo 2010-10-14 08:38:59 EDT
Hi Masahiro,
I've posted the latest PDF build of the book to this BZ. it contains the section Aldy mentioned.

(In reply to comment #6)
> Hi Aldy,
> 
> Sorry to bother you, but can you attach the latest version of Developer Guide?
> 
> I have Oct 12th's version, but it does not have "Building for forward
> compatibility across releases" section yet.

Note You need to log in before you can comment on or make changes to this bug.